Commit 9d3bfa8f authored by Jan Schmidt's avatar Jan Schmidt

gst/pbutils.override: Fix compilation against Python 2.4.

Original commit message from CVS:
* gst/pbutils.override:
Fix compilation against Python 2.4.
Fixes: #509522
parent 5a482f92
2008-01-15 Jan Schmidt <jan.schmidt@sun.com>
* gst/pbutils.override:
Fix compilation against Python 2.4.
Fixes: #509522
2008-01-14 Edward Hervey <edward.hervey@collabora.co.uk>
* configure.ac:
......
common @ 0efbab89
Subproject commit 36e8d05157d6c831e0d3919ae2ee9c342498eda8
Subproject commit 0efbab89d333b5d07cc7da1a501c38edf5bb4f72
......@@ -33,6 +33,11 @@ headers
GST_DEBUG_CATEGORY_EXTERN (pygst_debug);
#define GST_CAT_DEFAULT pygst_debug
/* Boonky define that allows for backwards compatibility with Python 2.4 */
#if PY_VERSION_HEX < 0x02050000
#define Py_ssize_t int
#endif
#ifdef HAVE_PLUGINS_INSTALL
static void
install_plugins_result_handler(GstInstallPluginsReturn result, gpointer user_data)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment